#!/bin/bash

# Set failfast
set -e
set -o pipefail

# Install Python 3.8
PYTHON_VERSION=3.8.7
yum install -y gcc
yum install -y openssl-devel
yum install -y bzip2-devel
yum install -y libffi-devel

cd /opt
wget https://www.python.org/ftp/python/$PYTHON_VERSION/Python-$PYTHON_VERSION.tgz
tar xzf Python-$PYTHON_VERSION.tgz && cd Python-$PYTHON_VERSION
./configure --enable-optimizations # --exec-prefix=/home/ssa --prefix=/home/ssa
make altinstall
cd ..
rm -rf Python-$PYTHON_VERSION.tgz
yum clean all
rm -rf /var/cache/yum

# Add Python install location to the path
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/opt/Python-3.8.7/"

# Make symbolic link of python3 install to where it's installed on dev
mkdir -p /home/ssa/bin
ln -s "$(which python3.8)" /home/ssa/bin/python3.8

export PATH="${PATH}:/home/ssa/bin"
